Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Class Bson.BinaryType

    java.lang.Object
      org.infinispan.schematic.document.Bson.BinaryType

Enclosing class:
  Bson

    public static final class Bson.BinaryType

extends Object

The bytes used for the subtypes of a binary value within a BSON stream.

Field Summary
`static byte` | `BINARY` Deprecated. Use `GENERAL` instead
`static byte` | `FUNCTION` The binary subtype that represents functions.
`static byte` | `GENERAL` The most common binary subtype, and the one should be used as the default.
`static byte` | `MD5`
`static byte` | `USER_DEFINED`
`static byte` | `UUID`

Constructor Summary
`Bson.BinaryType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL

    public static final byte GENERAL

  The most common binary subtype, and the one should be used as the default.

  See Also:
    Constant Field Values

### FUNCTION

    public static final byte FUNCTION

  The binary subtype that represents functions.

  See Also:
    Constant Field Values

### BINARY

    @Deprecated
    public static final byte BINARY

  Deprecated. Use `GENERAL` instead
  The old generic subtype. This used to be the default subtype, but was deprecated in favor of `GENERAL`. Drivers and tools should be sure to handle this type appropriately.

  See Also:
    Constant Field Values

### UUID

    public static final byte UUID

See Also:
  Constant Field Values

### MD5

    public static final byte MD5

See Also:
  Constant Field Values

### USER_DEFINED

    public static final byte USER_DEFINED

See Also:
  Constant Field Values

Constructor Detail

### Bson.BinaryType

    public Bson.BinaryType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.